## sane-backends 1.0.27

=== debian/changelog ===
sane-backends (1.0.27-3.1.0nosystemd1) nosystemd; urgency=medium

  * nosystemed 

 -- anticapitalista <antix@operamail.com>  Fri, 09 Nov 2018 23:03:10 +0200

sane-backends (1.0.27-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libsane1 back to libsane, make the renamed package provide libsane1
    (Closes: #908681)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 02 Nov 2018 20:30:06 +0100

sane-backends (1.0.27-3) unstable; urgency=medium

  * debian/rules:
    - Remove superfluous man page sane-config.1 (Closes: #910255).
      (Thanks to Michael Westwind <wormrunner@gmail.com>).
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).
  * Remove outdated makedev dependency (Closes: #907017).
  * Reactivate and refresh debian/patches/0125-multiarch_dll_search_path.patch
    to allow driver from non-multiarch directories (Closes: #910103).
  * debian/control:
    - Change Breaks to Conflicts for binary package libsane1.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 05 Oct 2018 07:18:56 +0200

sane-backends (1.0.27-2) unstable; urgency=medium

  * debian/control:
    - Remove obsolete section about sane-backends-extras.
    - Revert change from Breaks to Conflicts for binary package libsane1
      (Closes: #908681).

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 27 Sep 2018 08:30:18 +0200

sane-backends (1.0.27-1) unstable; urgency=medium

  * Upload to unstable (Closes: #905838, #905913).
  * debian/control:
    - Change Breaks to Conflicts for binary package libsane1
      (Thanks to Jeremy Bicha <jbicha@debian.org>).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 31 Aug 2018 11:00:57 +0200

sane-backends (1.0.27-1~experimental6) experimental; urgency=medium

  * Refresh symbols file for sparc64.
  * Rewrite debian/watch for gitlab (Thanks to
    Sebastiaan Couwenberg <sebastic@xs4all.nl>).
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).
  * Replace manual installation of systemd files with
    installation via dh_installsystemd (Closes: #905275).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 03 Aug 2018 18:17:11 +0200

sane-backends (1.0.27-1~experimental5) experimental; urgency=medium

  * debian/rules:
    - Add rule to enable --enable-parport-directio for all
      architectures except hurd-i386.
  * debian/control:
    - Fix FTBFS on kfreebsd-*:
      + Exclude libsnmp-dev from Build-Depends for kfreebsd-any.
    - Change VCS-* to point to the new repository.
  * Refresh symbols files for the following architectures:
    - arm64, hppa, m68k, mips, mips64el, mipsel, powerpc,
      powerpcspe, ppc64, ppc64el, s390x, sh4.
  * Refresh debian/patches/0100-source_spelling.patch to
    fix typo in backend/apple.c.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 31 May 2018 08:48:38 +0200

sane-backends (1.0.27-1~experimental4) experimental; urgency=medium

  * Change to my new email address.
  * debian/rules:
    - Add override_dh_autoreconf to prevent removal of libtool.m4
      (Closes: #887032).
    - Remove outdated configure parameter --enable-translations.
    - Add configure parameter --enable-parport-directio
      for better parallel port handling.
    - Rename configure parameter --with-docdir to --docdir.
    - Fix source directory for backend-writing.txt.
  * debian/copyright:
    - Use secure copyright format URI.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * Declare compliance with Debian Policy 4.1.4:
    - Remove the RUN parameter from /etc/default/saned and /etc/init.d/saned
      in compliance with Debian Policy Manual section 9.3.3.1.
  * Refresh debian/patches/0100-source_spelling.patch.
  * New debian/patches/0715-20-sane.hwdb_multi-arch.patch:
    - Remove buildtime from 20-sane.hwdb to make the file ready for multi-arch.
      (Closes: #880391)
  * debian/libsane1.README.Debian:
    - Replace ConsoleKit with ConsoleKit/systemd-logind (Closes: #872364).
  * debian/control:
    - Add libsnmp-dev to Build-Depends to enable SNMP support.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 14 Apr 2018 13:30:56 +0200

sane-backends (1.0.27-1~experimental3) experimental; urgency=medium

  * debian/control:
    - Drop outdated Recommends libsane-extras-dev to libsane-dev
      binary package (Closes: #868265).
    - Drop outdated texlive and texlive-latex-extra Build-Dependency.
  * debian/rules:
    - Drop create and install the /etc/sane.d/dll.d directory.
    - Move rules from override_dh_install-arch and override_dh_auto_install-arch
      to override_dh_install-indep and override_dh_auto_install-indep
      to build the arch all packages without error (CLoses: #870455).
    - At dh_systemd_enable use debian/saned.socket instead saned.socket.
    - Use DEB* vars via default.mk instead own functions.
  * Move libsane-common.install.in to libsane-common.install.
  * debian/copyright:
    - Add year 2017 for debian/*.
  * New debian/patches/0150-genesys-Fix-use-of-uninitialized-variable.patch:
    - Initializing usb_mode (Closes:# 869673).
      Thanks to Florian Lindemann <linde@bfw-online.de> and
      Olaf Meeuwissen <paddy-hack@member.fsf.org>.
  * Move install of man pages from debian/rules to libsane-common.manpages and
    sane-utils.manpages (Closes: #872366).
  * Move umax_pp.5 from libsane-common to sane-utils.
  * debian/sane-utils.saned.init:
    - Add parameter to --retry at the stop section (Closes: #871543).
  * libsane1.README.Debian:
    - Remove references to the libsane-extras package.
  * Correct typos in the previous changelog entry.
  * Declare compliance with Debian Policy 4.1.1 (No changes needed).
  * Move rm_conffile from libsane-common.preinst to libsane-common.maintscript.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 28 Oct 2017 13:26:26 +0200

sane-backends (1.0.27-1~experimental2) experimental; urgency=medium

  * debian/rules:
    - Rename libsane.udev to libsane1.udev to make sure that

