## sane-backends 1.0.27.1

=== debian/changelog ===
sane-backends (1.0.27.1-3.2+security) unstable; urgency=medium

  * update

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 29 Jun 2021 15:47:11 +0800

sane-backends (1.0.27-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * New debian/patches/0720-mustek_usb2-Avoid-stack-smashing.patch
    - Fix regression in the mustek_usb2 backend (Closes: #886777).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 23 Mar 2019 17:38:37 +0100
