## sane-backends 1.0.27.2

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  libjpeg-dev,
  libltdl3-dev,
  libsnmp-dev [!kfreebsd-any],
+ libsystemd-dev [linux-any],
  libtiff-dev,
  libusb-1.0-0-dev,
  pkg-config,
