## sane-backends 1.0.28+git13012020

=== debian/changelog ===
sane-backends (1.0.28+git13012020-0mx19) mx; urgency=medium

  * New upstream release
  * plus fixes in git for LIDE scanners.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 13 Jan 2020 16:32:47 -0500
