=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Standards-Version: 4.2.1
 Build-Depends:
  autoconf,
+ autoconf-archive,
  chrpath,
  debhelper (>= 11),
  gettext,
