## sane-backends 1.0.29

=== debian/changelog ===
sane-backends (1.0.29-0ubuntu5) focal; urgency=medium

  * debian/patches/e1934720c687ed8c6125c75ac658f55b4e1513ce.patch:
    - fix BE builds
  * Ignore testsuite on i386
    - https://gitlab.com/sane-project/backends/issues/157
  * Refresh symbols on ppc64el and s390x

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Feb 2020 09:39:28 +0100

sane-backends (1.0.29-0ubuntu2) focal; urgency=medium

  * Added missing Build-Depends: autoconf-archive, libcurl4-gnutls-dev,
    libxml2-dev, libpng-dev. Avoids FTBFS and makes sure all backends get
    included (LP: 1862926).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Feb 2020 12:27:25 +0100

sane-backends (1.0.29-0ubuntu1) focal; urgency=medium

  * New upstream release
    - Added Apple AirScan support via the new "escl" backend. This makes
      the scanners of all those multi-function printers work which support
      AirPrint, and this is practically every modern multi-function printer.
  * escl-page-geometry-fixes.patch: Applied page geometry bug fixes
    and support for page dimensions in mm, this way one can select the
    scan size in simple-scan (Upstream issue #230, Merge request #316).
  * Refreshed patches 0020-nousbtest.patch,
    0025-multiarch_manpages_libdir.patch, 0600-scanimage_manpage.patch,
    0705-kfreebsd.patch, 0125-multiarch_dll_search_path.patch,
    0715-20-sane.hwdb_multi-arch.patch
  * Updated patch 0710-sane-desc.c_debian_mods.patch and
    debian/*.symbols.* files from
    https://launchpad.net/~rolfbensch/+archive/ubuntu/sane-git/
    Thanks to Rolf Bensch for his SANE snapshot PPA.
  * Removed patches (fixes in upstream code now): 0100-source_spelling.patch,
    0150-genesys-Fix-use-of-uninitialized-variable.patch,
    0720-mustek_usb2-Avoid-stack-smashing.patch,
    git-fix-discolored-bar-issue.patch.
  * 0720-sane-release-enable-aclocal.patch: Make aclocal working in a
    release source tarball without GIT repository embedded. Thanks to Rolf
    Bensch for an appropriate patch in his SANE snapshot PPA.
  * debian/libsane.symbols.amd64: Updated with dpkg-gensymbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Feb 2020 12:27:25 +0100

sane-backends (1.0.27-3.2ubuntu4) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 18:04:49 +0000

sane-backends (1.0.27-3.2ubuntu3) eoan; urgency=medium

  * debian/libsane.symbols.armhf:
    - Update for drivers that no longer build due to emulated syscalls being
      removed in glibc (LP: #1843764)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Sep 2019 14:08:14 +0200

sane-backends (1.0.27-3.2ubuntu2) eoan; urgency=medium

  * debian/patches/git-fix-discolored-bar-issue.patch:
    - Upstream commit to fix issue with discolored bar on Genesys GL847
      scanners (LP: #1731459).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 08 Aug 2019 20:27:00 +0200

sane-backends (1.0.27-3.2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add libsane1 transitional package (LP: #1802586) (Closes: #913346)
    - debian/control: Transitional packages for Arch:any/Multi-Arch:same
      packages must themselves be Arch:any and Multi-Arch:same to work.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2019 17:53:53 +0200

sane-backends (1.0.27-3.1ubuntu2) disco; urgency=medium

  * debian/control: Transitional packages for Arch:any/Multi-Arch:same
    packages must themselves be Arch:any and Multi-Arch:same to work.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 20 Jan 2019 22:29:43 -0700

sane-backends (1.0.27-3.1ubuntu1) disco; urgency=medium

  * Add libsane1 transitional package (LP: #1802586) (Closes: #913346)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 02 Jan 2019 11:55:10 -0500
