=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sane-backends
 Section: graphics
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Standards-Version: 4.2.1
 Build-Depends:
  autoconf,
@@ -15,11 +16,14 @@
  libgphoto2-dev,
  libieee1284-3-dev [!hurd-i386],
  libjpeg-dev,
+ libpng-dev,
  libltdl3-dev,
  libsnmp-dev [!kfreebsd-any],
  libsystemd-dev [linux-any],
  libtiff-dev,
  libusb-1.0-0-dev,
+ libcurl4-gnutls-dev,
+ libxml2-dev,
  pkg-config,
  po-debconf,
  xutils-dev
@@ -126,3 +130,24 @@
  .
  This package contains the files needed to build your applications
  using SANE.
+
+Package: libsane1
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends:
+ libsane (>= ${source:Version}),
+ ${misc:Depends}
+Description: API library for scanners [transitional package]
+ SANE stands for "Scanner Access Now Easy" and is an application
+ programming interface (API) that provides standardized access to any
+ raster image scanner hardware (flatbed scanner, hand-held scanner,
+ video- and still-cameras, frame-grabbers, etc.). The SANE standard is
+ free and its discussion and development are open to everybody. The
+ current source code is written to support several operating systems,
+ including GNU/Linux, OS/2, Win32 and various Unices and is available
+ under the GNU General Public License (commercial applications and
+ backends are welcome, too, however).
+ .
+ This package is here to ensure smooth upgrades. It can be removed when
+ you see fit.
