=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,13 @@
 
 %:
 	dh $@
+
+override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH), i386))
+	dh_auto_test || true
+else
+	dh_auto_test
+endif
 
 override_dh_auto_configure:
 	autoconf
@@ -131,6 +138,9 @@
 override_dh_installinit-arch:
 	dh_installinit -psane-utils --name=saned
 
+override_dh_installsystemd-arch:
+	dh_installsystemd -psane-utils --no-enable --name=saned
+	dh_installsystemd -psane-utils --no-enable --name=saned@
 
 override_dh_makeshlibs-arch:
 	dh_makeshlibs -- -v$(DEB_VERSION_UPSTREAM) -Pdebian/libsane -plibsane
