## sane-backends 1.0.31

=== debian/changelog ===
sane-backends (1.0.31-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport fixes from 1.0.32:
    - plustek-usbhw: Work around discovery problem for CanoScan N650U
      with 1ms sleep, thanks to Kai von Krbek. (Closes: #982243)
    - hp4200: Fix crashes caused by incorrectly sized memset,
      thanks to Hauke Mehrtens. (Closes: #988343)

 -- Adrian Bunk <bunk@debian.org>  Sun, 25 Jul 2021 20:15:13 +0300

sane-backends (1.0.31-4) unstable; urgency=medium

  * debian/rules: 
    - Add the --disable-locking option to dh_auto_configure.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 04 Dec 2020 17:08:57 +0100

sane-backends (1.0.31-3) unstable; urgency=medium

  * debian/sane-utils.postrm (Closes: #941625):
    - On purge remove pid file if sysvinit are used.
  * debian/99-libsane1.rules (Closes: #960083):
    - Add condition ENV{DEVNAME}!="" to run setfacl only on usb scanners.
  * debian/rules:
    - Replace the --enable-avahi option with an --with-avahi.
    - Remove the --enable-locking option from dh_auto_configure
      (Closes: #973490, #971584).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 02 Nov 2020 08:19:03 +0100

sane-backends (1.0.31-2) unstable; urgency=medium

  * Upload into unstable (Closes: #969592).
  * New patch:
    - debian/patches/0170-return_empty_list_when_local_devices_requested.patch.
  * Remove not longer needed patches from debian/patches:
    - 0160-big_endian.patch
    - 0700-mk_reproducible_results.patch
    - 0715-20-sane.hwdb_multi-arch.patch
  * Fix typos in the Forwarded tag in the patch headers.
  * debian/upstream/metadata:
    - Change to gitlab.
  * Fix some trailing whitespaces / blank lines.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 27 Sep 2020 13:38:48 +0200

sane-backends (1.0.31-1~experimental1) experimental; urgency=medium

  * New upstream release (Closes: #968949, #962539).
  * Add back libsane transitional package, to ease upgrades (Closes: #962936):
    - debian/control: Add package libsane as oldlibs.
      Thanks to Gianfranco Costamagna <locutusofborg@debian.org>.
  * debian/copyright:
    - Fix lintian *-globbing-patterns errors.
    - Refresh to the new upstream release.
  * Convert debian/po/de.po to utf-8.
  * New patches:
    - debian/patches/0045-disable_lock_test_at_build_time.patch
    - debian/patches/0050-Use-python3-shebang.patch
    - debian/patches/0055-Fix_build_error.patch
    - debian/patches/0165-respect_local_only_parameter.patch
  * debian/rules:
    - Use --enable-locking instead --disable-locking.
  * debian/control:
    - Add libpoppler-glib-dev to Build-Depends.
    - Add ipp-usb to libsane1 Recommends (Closes: #968953).
  * debian/libsane1.symbols:
    - Remove 7 not longer available symbols.
  * debian/saned@.service:
    - Switch Standard[Output|Error] from syslog to append:/var/log/saned.log.
    - New debian/sane-utils.logrotate to pack and remove old logs.
  * debian/libsane-common.lintian-overrides:
    - Rename tags.
  * debian/patches/0125-multiarch_dll_search_path.patch:
    - Add $(prefix)/lib64/sane to lib search path  (Closes: #931297).
  * Fix FTCBFS: (Closes: #948711)
    - 0060-cross.patch: Make gphoto2 detection use the host architecture
      pkg-config.
    - Build tools/sane-desc for the build architecture.
    - Thanks to Helmut Grohne <helmut@subdivi.de>.
  * Remove files no longer needed:
    - debian/saned.socket
    - debian/saned@.service

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 05 Sep 2020 17:48:20 +0200

sane-backends (1.0.30-1~experimental2) experimental; urgency=medium

  * debian/not-installed:
    - Add usr/share/doc/libsane/backend-writing.txt.
  * debian/libsane1.symbols:
    - Add (arch=!hurd-i386) to cmsg@Base.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 31 May 2020 09:23:01 +0200

sane-backends (1.0.30-1~experimental1) experimental; urgency=medium

  * New upstream release (Closes: #961302):
    - fixes CVE-2020-12867, CVE-2020-12862, CVE-2020-12863, CVE-2020-12865,
      CVE-2020-12861, CVE-2020-12864.
  * Migrate to debhelper 13:
    - Bump minimum debhelper-compat version in debian/control to = 13.
  * debian/watch: Fix to new gitlab download structure.
  * debian/rules:
    - Remove DEB_LDFLAGS_MAINT_APPEND after lintian warning.
    - Add override_dh_installman-arch to remove obsolete man page sane-config.1.
  * debian/control:
    - Replace Conflicts with Breaks.
  * Remove debian/libsane-dev.preinst because sane-config was removed in
    oldstable.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 24 May 2020 19:45:00 +0200

sane-backends (1.0.29-1~experimental4) experimental; urgency=medium

  * Add HOST_NAME_MAX to debian/patches/0155-hurd_PATH_MAX.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 25 Apr 2020 15:38:30 +0200

sane-backends (1.0.29-1~experimental3) experimental; urgency=medium

  * Refresh patches/0155-hurd_PATH_MAX.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 12 Apr 2020 15:55:41 +0200

sane-backends (1.0.29-1~experimental2) experimental; urgency=medium

  * New debian/patches/0150-i386-test.patch:
    - Remove 4 tests failed tests on i386.
  * New patches/0155-hurd_PATH_MAX.patch:
    - Fix missing PATH_MAX on hurd-i386.
  * New patches/0160-big_endian.patch:
    - Fix FTBFS on big endian systems.
  * Remove now useless lintian overrides.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 01 Apr 2020 22:36:36 +0200

sane-backends (1.0.29-1~experimental1) experimental; urgency=medium

  * New upstream release (Closes: #951213, #942727, #944998).
    - New debian/patches/0040-remove_git.patch to remove git access at
      build time.
    - Refresh patches:
      + debian/patches/0700-mk_reproducible_results.patch.
      + debian/patches/0710-sane-desc.c_debian_mods.patch.
      + debian/patches/0715-20-sane.hwdb_multi-arch.patch.
      + debian/patches/0725-fix_link_60-libsane_rule.patch.
      + debian/patches/0100-source_spelling.patch.
    - Refresh symbols file.
    - Refresh lintian overrides.

