=== debian/control ===
--- 
+++ 
@@ -1,35 +1,36 @@
 Source: sane-backends
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Standards-Version: 4.2.1
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Standards-Version: 4.5.0
 Build-Depends:
  autoconf,
  autoconf-archive,
  chrpath,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  gettext,
  libavahi-client-dev,
  libcam-dev [kfreebsd-any],
  libcups2-dev,
+ libcurl4-gnutls-dev,
  libgphoto2-dev,
  libieee1284-3-dev [!hurd-i386],
  libjpeg-dev,
- libpng-dev,
  libltdl3-dev,
+ libpoppler-glib-dev,
  libsnmp-dev [!kfreebsd-any],
  libsystemd-dev [linux-any],
  libtiff-dev,
  libusb-1.0-0-dev,
- libcurl4-gnutls-dev,
  libxml2-dev,
  pkg-config,
  po-debconf,
- xutils-dev
+ xutils-dev,
+ python3-minimal
 Homepage: http://www.sane-project.org
 Vcs-Git: git://jff.email/opt/git/sane-backends.git
 Vcs-Browser: https://jff.email/cgit/sane-backends.git
+Rules-Requires-Root: no
 
 Package: sane-utils
 Architecture: any
@@ -40,6 +41,8 @@
  update-inetd,
  ${misc:Depends},
  ${shlibs:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Breaks: libsane-common (<<1.0.27-1~)
 Replaces: libsane-common (<<1.0.27-1~)
 Suggests: avahi-daemon, unpaper
@@ -79,13 +82,13 @@
  This package includes documentation for libsane, such as the man pages
  and list of supported scanners, and support files (i18n data).
 
-Package: libsane
+Package: libsane1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Breaks: libsane1 (<< 1.0.27-3.1~)
-Replaces: libsane1 (<< 1.0.27-3.1~)
-Provides: libsane1 (= ${binary:Version})
+Breaks: libsane (<< 1.0.29-1~)
+Replaces: libsane (<< 1.0.29-1~)
+Provides: libsane (= ${binary:Version})
 Depends:
  acl [linux-any],
  adduser,
@@ -93,7 +96,9 @@
  udev [linux-any],
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends: sane-utils (>= ${binary:Version})
+Recommends:
+ sane-utils (>= ${binary:Version}),
+ ipp-usb
 Suggests: avahi-daemon, hplip
 Description: API library for scanners
  SANE stands for "Scanner Access Now Easy" and is an application
@@ -115,7 +120,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsane (= ${binary:Version}),
+ libsane1 (= ${binary:Version}),
  ${misc:Depends}
 Description: API development library for scanners [development files]
  SANE stands for "Scanner Access Now Easy" and is an application
@@ -131,12 +136,12 @@
  This package contains the files needed to build your applications
  using SANE.
 
-Package: libsane1
+Package: libsane
 Architecture: any
 Multi-Arch: same
 Section: oldlibs
 Depends:
- libsane (>= ${source:Version}),
+ libsane1 (>= ${source:Version}),
  ${misc:Depends}
 Description: API library for scanners [transitional package]
  SANE stands for "Scanner Access Now Easy" and is an application
