=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 include /usr/share/dpkg/default.mk
 
@@ -24,17 +23,24 @@
 %:
 	dh $@
 
-override_dh_auto_test:
-ifneq (,$(filter $(DEB_HOST_ARCH), i386))
-	dh_auto_test || true
+ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+SANE_DESC = $(CURDIR)/tools/sane-desc
 else
-	dh_auto_test
+SANE_DESC = $(CURDIR)/debian/sane-desc
 endif
 
 override_dh_auto_configure:
 	autoconf
-	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) \
-		--build=$(DEB_BUILD_GNU_TYPE) \
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+	dpkg-architecture -f "-a$(DEB_BUILD_ARCH)" -c dh_auto_configure
+	$(MAKE) -C $(CURDIR)/lib liblib.la
+	$(MAKE) -C $(CURDIR)/sanei libsanei.la
+	$(MAKE) -C $(CURDIR)/tools sane-desc
+	mv $(CURDIR)/tools/sane-desc $(CURDIR)/debian/sane-desc
+	$(RM) include/byteorder.h include/_stdint.h
+	dh_auto_clean
+endif
+	dh_auto_configure -- \
 		--prefix=/usr \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--sysconfdir=/etc \
@@ -42,14 +48,14 @@
 		--datadir=\$${prefix}/share \
 		--mandir=\$${prefix}/share/man \
 		--docdir=\$${prefix}/share/doc/libsane \
-		--disable-locking \
 		--enable-static \
 		--enable-pthread \
 		--with-gphoto2 \
-		--enable-avahi \
+		--with-avahi \
 		--enable-pnm-backend \
 		--with-usb \
 		--without-v4l \
+		--disable-locking \
 		$(INS_CONF)
 
 override_dh_autoreconf:
@@ -57,16 +63,17 @@
 
 override_dh_auto_build-indep:
 	# generate POT file for translators
+	$(MAKE)
 	(cd po && make sane-backends.pot)
-	$(MAKE)
 
 override_dh_auto_clean:
 	# Autoconf-generated files
 	$(RM) include/byteorder.h include/_stdint.h
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
-	$(RM) debian/libsane.udev
+	$(RM) debian/libsane1.udev
 	dh_auto_clean
+	$(RM) $(SANE_DESC)
 
 override_dh_auto_install-arch:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
@@ -83,13 +90,10 @@
 	# Install the pkg-config file
 	mkdir -p debian/libsane-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
 	cp tools/sane-backends.pc debian/libsane-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
+	cp debian/sane-utils.logrotate debian/sane-utils/etc/logrotate.d/sane-utils
 
 override_dh_install-indep:
 	dh_install
-	# Install HAL fdi file
-	mkdir -p $(CURDIR)/debian/libsane-common/usr/share/hal/fdi/preprobe/10osvendor
-	$(CURDIR)/tools/sane-desc -s $(CURDIR)/doc/descriptions -m hal-new > \
-	$(CURDIR)/debian/libsane-common/usr/share/hal/fdi/preprobe/10osvendor/20-libsane.fdi
 
 override_dh_installman-indep:
 	dh_installman
@@ -103,6 +107,10 @@
 	$(RM) -r $(CURDIR)/debian/libsane-common/usr/share/man/man1/
         # remove manpages for not build libs
 	$(RM) $(CURDIR)/debian/libsane-common/usr/share/man/man5/sane-v4l.5
+
+override_dh_installman-arch:
+	dh_installman
+	$(RM) $(CURDIR)/debian/sane-utils/usr/share/man/man1/sane-config.1
 
 override_dh_installdocs-arch:
 	dh_installdocs
@@ -124,9 +132,10 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	# udev support
 	# Generate the udev rules file
-	$(CURDIR)/tools/sane-desc -s $(CURDIR)/doc/descriptions -m udev+hwdb > $(CURDIR)/debian/libsane.udev
-	$(CURDIR)/tools/sane-desc -s $(CURDIR)/doc/descriptions -m hwdb > $(CURDIR)/debian/20-sane.hwdb
-	cp $(CURDIR)/debian/20-sane.hwdb $(CURDIR)/debian/libsane/lib/udev/hwdb.d/
+	$(SANE_DESC) -s $(CURDIR)/doc/descriptions -m udev+hwdb > $(CURDIR)/debian/libsane1.udev
+	$(SANE_DESC) -s $(CURDIR)/doc/descriptions -m hwdb > $(CURDIR)/debian/20-sane.hwdb
+
+	cp $(CURDIR)/debian/20-sane.hwdb $(CURDIR)/debian/libsane1/lib/udev/hwdb.d/
 	dh_installudev
 endif
 
@@ -143,4 +152,4 @@
 	dh_installsystemd -psane-utils --no-enable --name=saned@
 
 override_dh_makeshlibs-arch:
-	dh_makeshlibs -- -v$(DEB_VERSION_UPSTREAM) -Pdebian/libsane -plibsane
+	dh_makeshlibs --exclude=/sane/ -- -v$(DEB_VERSION_UPSTREAM) -Pdebian/libsane1 -plibsane1
