## sane-backends 1.0.32

=== debian/changelog ===
sane-backends (1.0.32-4.0nosystemd1) nosystemd; urgency=medium

  * remove hard dependency on libsystemd0/libelogind 

 -- anticapitalista <antix@operamail.com>  Sun, 14 Nov 2021 19:11:21 +0200

sane-backends (1.0.32-4) unstable; urgency=medium

  * Upload into unstable.
  * Declare compliance with Debian Policy 4.6.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 18 Aug 2021 21:46:15 +0200

sane-backends (1.0.32-3) experimental; urgency=medium

  * Fix use-after-free and two mem leaks:
   - New debian/patches/0180-gt68xx_fix_use-after-free_two_memleaks.patch.
     Cherry-picked from upstream (Closes: #980311).
  * Add some Debian files / directories into .gitignore.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 11 Jul 2021 17:44:43 +0200

sane-backends (1.0.32-2) experimental; urgency=high

  * debian/sane-utils.postrm: Fix pathfind handling (Closes: #989879).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 16 Jun 2021 18:52:25 +0200

sane-backends (1.0.32-1) experimental; urgency=medium

  * New Upstream release:
    - Refresh patches:
      + patches/0040-remove_git.patch
      + patches/0045-disable_lock_test_at_build_time.patch
      + patches/0060-cross.patch
      + patches/0140-avahi.patch
      + patches/0145-avahi.patch
      + patches/0150-i386-test.patch
      + patches/0155-hurd_PATH_MAX.patch
      + patches/0600-scanimage_manpage.patch
      + patches/0705-kfreebsd.patch
      + patches/0725-fix_link_60-libsane_rule.patch
    - Remove not longer needed patches:
      + patches/0100-source_spelling.patch
      + patches/0125-multiarch_dll_search_path.patch
      + patches/0055-Fix_build_error.patch
      + patches/0165-respect_local_only_parameter.patch
      + patches/0170-return_empty_list_when_local_devices_requested.patch
    - New Patches:
      + patches/0175-fix_tests.patch to fix build - tests.
      + patches/0605-fix_groff-warnings.patch to fix groff warnings.
    - Fix ftbfs with autoconf 2.70 (Closes: #978902).
  * debian/copyright:
    - Refresh to the new upstream release.
  * debian/libsane1.symbols:
    - Add 1 new symbol.
    - Remove MISSING from last release.
  * debian/libsane-common.lintian-overrides:
    - Remove double lines.
  * New debian/libsane1.lintian-overrides to override afe spelling.
  * TROUBLESHOOTING.Debian:
    - Add part if sane-backends and tlp runs on the same system
      (Closes: #954096, #887745).
  * Declare compliance with Debian Policy 4.5.1 (No changes needed).
  * Fix FTCBFS: Annotate python3-minimal dependency :any. (Closes: #984747).
    - Thanks to Helmut Grohne <helmut@subdivi.de>.
  * debian/sane-utils.postrm:
    - Fix package doesn't purge cleanly (user/group not purged)
      (Closes: #987837).
    - Fix package doesn't purge cleanly (fix test with pathfind())
      (Closes: #987805).
  * Fix filtering out libsane-dll (Closes: #971592):
    - Cherry-picked from 1.0.25-4.1+deb9u2 (Thanks to
      Sylvain Beucler <beuc@beuc.net>).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 01 May 2021 12:09:06 +0200
