=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends:
  autoconf,
  autoconf-archive,
@@ -19,14 +19,13 @@
  libltdl3-dev,
  libpoppler-glib-dev,
  libsnmp-dev [!kfreebsd-any],
- libsystemd-dev [linux-any],
  libtiff-dev,
  libusb-1.0-0-dev,
  libxml2-dev,
  pkg-config,
  po-debconf,
  xutils-dev,
- python3-minimal
+ python3-minimal:any
 Homepage: http://www.sane-project.org
 Vcs-Git: git://jff.email/opt/git/sane-backends.git
 Vcs-Browser: https://jff.email/cgit/sane-backends.git
