=== debian/rules ===
--- 
+++ 
@@ -84,6 +84,10 @@
 
 override_dh_auto_install-indep:
 	dh_auto_install
+	# remove /usr/lib/sane/libsane.so.1 (libtool side-effect ?)
+	$(RM) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sane/libsane.so.1
+	# remove libsane-dll, same as regular libsane
+	$(RM) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sane/libsane-dll.*
 
 override_dh_install-arch:
 	dh_install
@@ -147,9 +151,5 @@
 override_dh_installinit-arch:
 	dh_installinit -psane-utils --name=saned
 
-override_dh_installsystemd-arch:
-	dh_installsystemd -psane-utils --no-enable --name=saned
-	dh_installsystemd -psane-utils --no-enable --name=saned@
-
 override_dh_makeshlibs-arch:
 	dh_makeshlibs --exclude=/sane/ -- -v$(DEB_VERSION_UPSTREAM) -Pdebian/libsane1 -plibsane1
